Summary: provides support for IMAP and POP network mail protocols
Name: imap
Version: 4.1.BETA
Release: 3
Copyright: BSD
Group: Networking/Daemons
Source: ftp.cac.washington.edu:/mail/imap-4.1.BETA.tar.Z
Patch: imap-4.1.BETA-linux.patch
Patch1: imap-4.1.BETA-misc.patch
Patch2: imap-4.1.BETA-pam.patch

%description
IMAP is a server for the POP (Post Office Protocol) and IMAP mail protocols.
The POP protocol allows a "post office" machine to collect mail for users
and have that mail downloaded to the user's local machine for reading. The
IMAP protocol provides the functionality of POP, and allows a user to
read mail on a remote machine without moving it to his local mailbox.

%changelog

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>

Fixed buffer overrun in server_login().

%prep
cd $RPM_BUILD_DIR
rm -rf imap
%setup -n imap-4.1.BETA
%patch -p1
%patch1 -p1 -b .bsd
%patch2 -p1 -b .pam

%build
RPM_OPT_FLAGS="-O2"
%ifarch i386
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -m486"
%endif

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" lnx

%clean
rm -f imap

%install
install -m 644 ./src/ipopd/ipopd.8c /usr/man/man8/ipopd.8c
install -m 644 ./src/imapd/imapd.8c /usr/man/man8/imapd.8c
install -s -m 755 ./ipopd/ipop2d /usr/sbin
install -s -m 755 ./ipopd/ipop3d /usr/sbin
install -s -m 755 ./imapd/imapd /usr/sbin

%post
/sbin/pamconfig --add --service=imap --sesslist=none --password=none

%postun
if [ "$1" = 0 ] ; then
  /sbin/pamconfig --remove --service=imap --sesslist=none --password=none
fi

%files
/usr/man/man8/ipopd.8c
/usr/man/man8/imapd.8c
/usr/sbin/ipop2d
/usr/sbin/ipop3d
/usr/sbin/imapd
